package com.ruoyi.project.ehs.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.project.ehs.mapper.TSafetyapprcontMapper;
import com.ruoyi.project.ehs.domain.TSafetyapprcont;
import com.ruoyi.project.ehs.service.ITSafetyapprcontService;

/**
 * 安全批文主要内容Service业务层处理
 *
 * @author ruoyi
 * @date 2020-11-27
 */
@Service
public class TSafetyapprcontServiceImpl implements ITSafetyapprcontService
{
    @Autowired
    private TSafetyapprcontMapper tSafetyapprcontMapper;

    /**
     * 查询安全批文主要内容
     *
     * @param id 安全批文主要内容ID
     * @return 安全批文主要内容
     */
    @Override
    public TSafetyapprcont selectTSafetyapprcontById(Long id)
    {
        return tSafetyapprcontMapper.selectTSafetyapprcontById(id);
    }

    /**
     * 查询安全批文主要内容列表
     *
     * @param tSafetyapprcont 安全批文主要内容
     * @return 安全批文主要内容
     */
    @Override
    public List<TSafetyapprcont> selectTSafetyapprcontList(TSafetyapprcont tSafetyapprcont)
    {
        return tSafetyapprcontMapper.selectTSafetyapprcontList(tSafetyapprcont);
    }

    /**
     * 新增安全批文主要内容
     *
     * @param tSafetyapprcont 安全批文主要内容
     * @return 结果
     */
    @Override
    public int insertTSafetyapprcont(TSafetyapprcont tSafetyapprcont)
    {
        return tSafetyapprcontMapper.insertTSafetyapprcont(tSafetyapprcont);
    }

    /**
     * 修改安全批文主要内容
     *
     * @param tSafetyapprcont 安全批文主要内容
     * @return 结果
     */
    @Override
    public int updateTSafetyapprcont(TSafetyapprcont tSafetyapprcont)
    {
        return tSafetyapprcontMapper.updateTSafetyapprcont(tSafetyapprcont);
    }

    /**
     * 批量删除安全批文主要内容
     *
     * @param ids 需要删除的安全批文主要内容ID
     * @return 结果
     */
    @Override
    public int deleteTSafetyapprcontByIds(Long[] ids)
    {
        return tSafetyapprcontMapper.deleteTSafetyapprcontByIds(ids);
    }

    /**
     * 删除安全批文主要内容信息
     *
     * @param id 安全批文主要内容ID
     * @return 结果
     */
    @Override
    public int deleteTSafetyapprcontById(Long id)
    {
        return tSafetyapprcontMapper.deleteTSafetyapprcontById(id);
    }
}
